Promote compute version
Experimental endpoint: this API is in active development and may change at any time without notice. Promotes a compute version to be the active version behind the service's stable endpoint. The version must be running. Returns the service endpoint domain.
⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️
Promotes a compute version to be the active version behind the service's stable endpoint. The version must be running. Returns the service endpoint domain.
/v1/compute-services/{computeServiceId}/promoteOAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
^(cps_)?([cC][^\s-]{8,}|[a-z0-9]+)$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.prisma.io/v1/compute-services/string/promote" \ -H "Content-Type: application/json" \ -d '{ "versionId": "string" }'{
"data": {
"serviceEndpointDomain": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}